# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc根据code查询补货设置信息,31,31-34,sit,bs
主数据平台:后台运营系统根据code查询补货设置信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import random
import requests
import json

module = "cmdc_31st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取补货单设置信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url15")
request_body = commonFuc().get_business_data(module, "payload15")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
set_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取补货设置信息
customer_code = result["data"]["list"][set_random]["customerCode"]
product_code = result["data"]["list"][set_random]["productCode"]
supplier_code = result["data"]["list"][set_random]["supplierCode"]
company_code = result["data"]["list"][set_random]["companyCode"]

# 第三步根据code查询补货设置信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url30")
request_body = commonFuc().get_business_data(module, "payload30", customer_code, product_code, supplier_code,
                                             company_code)
"""

 场景: 根据code查询补货设置信息
 用例名称：根据code查询补货设置信息
 输出：{"productCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取补货设置信息
result = json.loads(result.content)
# print(result)
result = {"productCode": result["data"]["productCode"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict30", product_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
