# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_商品预测明细,2295,2295-84,sit,bs
主数据平台:后台运营系统获取商品预测明细接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import datetime
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取商品预测明细
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url83")
request_body = commonFuc().get_business_data(module, "payload83")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
pr_random = random.randint(0, len(result["data"]) - 1)
# 获取商品信息
startTime = result["data"][pr_random]["createTime"][:10] + " 00:00:00"
now_time = str(datetime.datetime.now().strftime("%Y-%m-%d")) + " 00:00:00"
productInfo = result["data"][pr_random]["productCode"]
customerInfo = result["data"][pr_random]["customerCode"]
procurementDate = result["data"][pr_random]["procurementDate"]

# 第三步进行列表查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url84")
request_body = commonFuc().get_business_data(module, "payload84", startTime, now_time, productInfo, customerInfo,
                                             startTime, now_time, procurementDate)

"""

 场景: 列表查询条件验证_商品预测明细
 用例名称：列表查询条件验证_商品预测明细
 输出：{"productInfo":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中商品信息
result = json.loads(result.content)
result = {"productInfo": result["data"][0]["productCode"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict84", productInfo)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
