# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_销售任务列表,2295,2295-73,sit,bs
主数据平台:后台运营系统获取销售任务下发列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import random

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取销售任务下发列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url72")
request_body = commonFuc().get_business_data(module, "payload72")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
task_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取任务下发信息
customerCode = result["data"]["list"][task_random]["customers"][0]["customerCode"]
customerName = result["data"]["list"][task_random]["customers"][0]["customerName"]
materialCode = result["data"]["list"][task_random]["products"][0]["materialCode"]
productCode = result["data"]["list"][task_random]["products"][0]["productCode"]
productLineName = result["data"]["list"][task_random]["products"][0]["productLineName"]
productName = result["data"]["list"][task_random]["products"][0]["productName"]
specifications = result["data"]["list"][task_random]["products"][0]["specifications"]
taskName = result["data"]["list"][task_random]["taskName"]
taskYear = result["data"]["list"][task_random]["taskYear"]
useSign = result["data"]["list"][task_random]["useSign"]

# 第三步进行列表查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url73")
request_body = commonFuc().get_business_data(module, "payload73", customerCode, customerName, materialCode, productCode,
                                             productLineName, productName, specifications, taskName, taskYear, useSign)

"""

 场景: 列表查询条件验证_销售任务列表
 用例名称：列表查询条件验证_销售任务列表
 输出：{"taskName":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中任务名称
result = json.loads(result.content)
result = {"taskName": result["data"]["list"][0]["taskName"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict73", taskName)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
