# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询待配货明细列表,2295,2295-122,sit,bs
主数据平台:后台运营系统查询待配货明细列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json


module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取欠货综合管理列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url118")
request_body = commonFuc().get_business_data(module, "payload118")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取欠货信息
for i in result["data"]["queryDemandPageInfo"]["list"]:
    if i["debtSign"] == 0 and i["pushSign"] == 1:
        # 获取欠货信息
        demandSubCode = i["demandSubCode"]
        distributionType = i["distributionType"]
        # 第三步查询待配货明细列表
        url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url122")
        request_body = commonFuc().get_business_data(module, "payload122", demandSubCode, distributionType)
        # print(request_body)
        # 发送请求
        result = requests.get(url, params=request_body)
        # 获取接口响应时间
        api_time = float(result.elapsed.total_seconds())

        # 获取配货信息
        result = json.loads(result.content)
        # print(result)
        result = {"demandSubCode": result["data"][0]["distributionJdeDsCode"]}

        # 将接口响应时间添加至结果中
        result["api_time"] = api_time

        # 获取预期结果
        check_dict = commonFuc().get_business_data(module, "checkDict122", demandSubCode)
        # print(check_dict)
        # 断言实际结果中是否包含预期结果的内容
        commonFuc().check_result(check_dict, result)
        break
"""

 场景: 查询待配货明细列表
 用例名称：查询待配货明细列表
 输出：{"demandSubCode":"%s"}
"""