# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc返利规则删除功能验证,2271,2271-10,sit,bs
主数据平台:后台运营系统返利规则删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利规则列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload23_list")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取指定返利规则信息
rebate_id = result["data"]["list"][0]["rebateid"]

# 第三步进行返利规则删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url25")
request_body = commonFuc().get_business_data(module, "payload25", rebate_id)

"""
 场景: 返利规则删除功能验证
 用例名称：返利规则删除功能验证
 输出：{"success":true,"code":"200","message":"ok","data":1}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict25")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询返利规则审核状态
sql = "SELECT t.deleteSign FROM `cmdc-order`.tc_rebate t WHERE rebateId = {}".format(rebate_id)
result = {"deleteSign": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}

# 核验数据库返利规则对应的删除标识是否正确
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict25_1")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)











