# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证商品详情页面特价单品的展示,2252,2252-70,sit,bs
涉及到接口:特价单品列表查询、查询特殊套包详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_special_fresenius_group"
# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步特价单品查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload40")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取商品信息
product_code = result["data"]["list"][0]["freseniusProduct"]["productCode"]
company_code = result["data"]["list"][0]["companyCode"]
print(product_code)
# 第三步登录多采商城获取token信息
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username4")
password = commonFuc().get_business_data(module, "password4")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 进行站点切换
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_website")
request_body = commonFuc().get_business_data(module, "payload_website")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)

# 第四步获取商品对应的套包信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url41")
request_body = commonFuc().get_business_data(module, "payload41", product_code, company_code)

"""
 场景:验证特价单品详情页特价信息展示是否正确
 用例名称：验证商品详情页面特价单品的展示
 输出：{"activityName":"每支特价11.11元,有效期2024-02-11至2036-03-29"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

# 获取活动信息
result = {"activityName": result["data"][0]["activityName"]}
result["api_time"] = api_time
# # 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict41")
# # 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
