# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc发货商品清单查询条件验证_发货详情,2294,2294-29,sit,bs
主数据平台:后台运营系统获取发货单详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_trade"

# 第一步登录后台运营系统获取token信息
username = commonFuc().get_business_data(module, "username4")
password = commonFuc().get_business_data(module, "password4")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取发货单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url25")
request_body = commonFuc().get_business_data(module, "payload25")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 生成随机数
out_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取发货单信息
SDDOCO = func(result["data"]["list"][out_random]["SDDOCO"])
demandCode = result["data"]["list"][out_random]["demandCode"]
sddcto = result["data"]["list"][out_random]["sddcto"]

# 第三步获取发货单详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url26")
request_body = commonFuc().get_business_data(module, "payload26", demandCode, SDDOCO, sddcto)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取随机数
product_random = random.randint(0, len(result["data"]) - 1)
# 获取商品信息
manufacturer = func(result["data"][product_random]["manufacturer"])
materialCode = func(result["data"][product_random]["materialCode"])
productCode = func(result["data"][product_random]["productCode"])
productName = func(result["data"][product_random]["productName"])
optionStr = func(result["data"][product_random]["optionStr"])

# 第四步进行条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url28")
request_body = commonFuc().get_business_data(module, "payload28", manufacturer, materialCode, productCode, productName,
                                             optionStr,
                                             demandCode, SDDOCO, sddcto)
# print(request_body)
"""

 场景: 发货商品清单查询条件验证_发货详情
 用例名称：发货商品清单查询条件验证_发货详情
 输出：{"productCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# print(result)
# 获取productCode
result = {"productCode": result["data"][0]["productCode"]}

result["api_time"] = api_time
# print(result)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict28", productCode)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
