# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc站点产品线备注设置删除验证,2256,2256-22,sit,bs
主数据平台:后台运营系统站点产品线备注设置删除接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_website"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中新增的产品线备注设置
sql = "SELECT t.id FROM `cmdc-cms`.cms_line_remark t WHERE remark = '测试勿动'"

# 判断id是否为空
id = (mysql_handle.selectSql(host, port, user, pwd, "cmdc-cms", sql)[0][0] if mysql_handle.selectSql(host, port, user,
                                                                                                     pwd, "cmdc-cms",
                                                                                                     sql) else "")

# 第二步删除产品线备注设置
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url22")
request_body = commonFuc().get_business_data(module, "payload22", id)
# print(request_body)
"""

 场景: 站点产品线备注设置删除验证
 用例名称：站点产品线备注设置删除验证
 输出：{"success":true,"code":"200","message":"OK","data":1,"freshToken":null}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

if result["success"]:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict22")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict22_1")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
